/**
 *@des 运营人员管理接口
 *@author zhengjinyi
 *@date 2020/03/19 14:56:57
 *@param registerByPass
 */
import request from '@/common/config/caimeiApi.js'
import $reg from '@/common/config/common.js'

/**
 *获取运营人员管理列表
 *@param status
 *@param pageNum
 *@param pageSize
 */
export function queryOperatorList(params) {
	return new Promise(function(resolve,reject) {
		request.get('/operation/list',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *添加运营人员
 */
export function addOperator(params) {
	return new Promise(function(resolve,reject) {
		request.post('/operation/add',params,true, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *删除运营人员
 */
export function deleteOperator(params) {
	return new Promise(function(resolve,reject) {
		request.post('/operation/delete',params,true,res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *更新邀请码
 */
export function updateCode(params) {
	return new Promise(function(resolve,reject) {
		request.post('/operation/updateInvitationCode',params,true, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}

