/**
 *@des 其他模块接口
 *@author zhengjinyi
 *@date 2020/03/19 14:56:57
 *@param registerByPass
 */
import request from '@/common/config/caimeiApi.js'

/**
 *医美机构正品联盟
 * @param
 */
export function queryMember(params) {
	return new Promise(function(resolve,reject) {
		request.get('/home/member',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *售后无忧,购物须知
 * @param
 */
export function queryAfterSale(params) {
	return new Promise(function(resolve,reject) {
		request.get('/home/afterSale',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *机构协议,用户协议,隐私权政策
 *@param helpPageID 隐私权政策id:1013,平台规则id:1023,机构协议:1036
 */
export function protocolAgree(params) {
	return new Promise(function(resolve,reject) {
		request.get('/club/protocol',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *@发票信息回显
 *@param
 */
export function queryInvoice(params) {
	return new Promise(function(resolve,reject) {
		request.get('/personalCenter/findInvoice',params, res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}
/**
 *@发票信息保存
 *@param
 */
export function querySaveInvoice(params) {
	return new Promise(function(resolve,reject) {
		request.post('/personalCenter/invoice',params, true,res => {
			if(res.code == 0){
				resolve(res)
			}else{
				reject(res)
			}
		})
	})
}